jQuery(document).ready(function() {

	//Select all anchor tag with rel set to tooltip
	jQuery('a[rel=tooltip]').mouseover(function(e) {

			//Grab the title attribute's value and assign it to a variable
			var tip = jQuery(this).attr('name');

			//Append the tooltip template and its value
			jQuery(this).append('<div id="tooltip" style="display:none"><div class="tipHeader"></div><div class="tipBody">' + tip + '</div><div class="tipFooter"></div></div>');

			//Set the X and Y axis of the tooltip
			jQuery('#tooltip').css('top', e.pageY + 5 );
			jQuery('#tooltip').css('left', e.pageX + 5 );

			//Show the tooltip with faceIn effect
			jQuery('#tooltip').fadeTo('10',0.95);

	});

	//Select all anchor tag with rel set to tooltip
	jQuery('a[rel=tooltip]').mouseout(function(e) {

			jQuery(this).children('div#tooltip').remove();

	});

	jQuery('.selectall').click(function(e) {
		jQuery(this).focus();
		jQuery(this).select();
	});

    // show existing AR
    showaroptions('cuslist_type',1);
});

function checkpt()
{
    if(jQuery('#paypal_type_ot').attr('checked'))
    {
        jQuery('#image_url').text('Payment Button Image');
        jQuery('.paypal').removeClass('noshow');
        jQuery('.subscription').addClass('noshow');
        jQuery('.free').addClass('noshow');
    }
    if(jQuery('#paypal_type_sub').attr('checked'))
    {
        jQuery('#image_url').text('Payment Button Image');
        jQuery('.paypal').removeClass('noshow');
        jQuery('.subscription').removeClass('noshow');
        jQuery('.free').addClass('noshow');
    }
    if(jQuery('#paypal_type_free').attr('checked'))
    {
//        jQuery('.onetime').addClass('noshow');
        jQuery('.paypal').addClass('noshow');
        jQuery('#image_url').text('Join Button');
        jQuery('.free').removeClass('noshow');
    }
}


function checkun()
{
    if(jQuery('#unsubscribe1').attr('checked'))
    {
        jQuery('#configure_unsubscribe').hide();
    }
    if(jQuery('#unsubscribe2').attr('checked'))
    {
        jQuery('#configure_unsubscribe').show();
    }
}

function checktrial()
{
    if(jQuery('#paypal_trial0').attr('checked'))
    {
        jQuery('.trial').addClass('noshow2');
    }
    if(jQuery('#paypal_trial1').attr('checked'))
    {
        jQuery('.trial').removeClass('noshow2');
    }
}

function checkwso()
{
    if(jQuery('#wsopro1').attr('checked'))
    {
        jQuery('#wsopro').hide();
    }
    if(jQuery('#wsopro2').attr('checked'))
    {
        jQuery('#wsopro').show();
    }
}

function checkclickbank()
{
    if(jQuery('#clickbank1').attr('checked'))
    {
        jQuery('#clickbank').hide();
    }
    if(jQuery('#clickbank2').attr('checked'))
    {
        jQuery('#clickbank').show();
    }
}


function validateform()
{
    var valid = true;
//    alert(jQuery('#product_name').val());
    jQuery('.error').remove();

    var rfields = new Array("product_name","paypal_email",'access_code');
    var len = rfields.length;
    for(var i = 0; i<len; i++)
    {
        if(jQuery('#'+rfields[i]).val() == "")
        {
            var html = jQuery('#'+rfields[i]).parent().html();
            jQuery('#'+rfields[i]).parent().html(html+' <span class="error wpmc-error">Required field!</span>');
            valid = false;
        }
    }


    if(jQuery('#payment_period_select').val() == 'D')
    {
        if(jQuery('#payment_period').val() < 1 || jQuery('#payment_period').val() > 90)
        {
            var html = jQuery('#payment_period').parent().html();
            jQuery('#payment_period').parent().html(html+' <span class="error wpmc-error">Payment period must be between 1 and 90</span>');
            valid = false;
        }
    }
    else if(jQuery('#payment_period_select').val() == 'W')
    {
        if(jQuery('#payment_period').val() < 1 || jQuery('#payment_period').val() > 52)
        {
            var html = jQuery('#payment_period').parent().html();
            jQuery('#payment_period').parent().html(html+' <span class="error wpmc-error">Payment period must be between 1 and 52</span>');
            valid = false;
        }
    }
    else if(jQuery('#payment_period_select').val() == 'M')
    {
        if(jQuery('#payment_period').val() < 1 || jQuery('#payment_period').val() > 24)
        {
            var html = jQuery('#payment_period').parent().html();
            jQuery('#payment_period').parent().html(html+' <span class="error wpmc-error">Payment period must be between 1 and 24</span>');
            valid = false;
        }
    }
    else if(jQuery('#payment_period_select').val() == 'Y')
    {
        if(jQuery('#payment_period').val() < 1 || jQuery('#payment_period').val() > 5)
        {
            var html = jQuery('#payment_period').parent().html();
            jQuery('#payment_period').parent().html(html+' <span class="error wpmc-error">Payment period must be between 1 and 5</span>');
            valid = false;
        }
    }

    if(jQuery('#trial_period_select').val() == 'D')
    {
        if(jQuery('#trial_period').val() < 1 || jQuery('#trial_period').val() > 90)
        {
            var html = jQuery('#trial_period').parent().html();
            jQuery('#trial_period').parent().html(html+' <span class="error wpmc-error">Trial period must be between 1 and 90</span>');
            valid = false;
        }
    }
    else if(jQuery('#trial_period_select').val() == 'W')
    {
        if(jQuery('#trial_period').val() < 1 || jQuery('#trial_period').val() > 52)
        {
            var html = jQuery('#trial_period').parent().html();
            jQuery('#trial_period').parent().html(html+' <span class="error wpmc-error">Trial period must be between 1 and 52</span>');
            valid = false;
        }
    }
    else if(jQuery('#trial_period_select').val() == 'M')
    {
        if(jQuery('#trial_period').val() < 1 || jQuery('#trial_period').val() > 24)
        {
            var html = jQuery('#trial_period').parent().html();
            jQuery('#trial_period').parent().html(html+' <span class="error wpmc-error">Trial period must be between 1 and 24</span>');
            valid = false;
        }
    }
    else if(jQuery('#trial_period_select').val() == 'Y')
    {
        if(jQuery('#trial_period').val() < 1 || jQuery('#trial_period').val() > 5)
        {
            var html = jQuery('#trial_period').parent().html();
            jQuery('#trial_period').parent().html(html+' <span class="error wpmc-error">Trial period must be between 1 and 5</span>');
            valid = false;
        }
    }

    // number of payments can't be 1
    var payments = parseInt(jQuery('#number_of_payments').val());
    if(payments < 0 || payments == 1)
    {
        var html = jQuery('#number_of_payments').parent().html();
        jQuery('#number_of_payments').parent().html(html+' <span class="error wpmc-error">Number of payments must be 0 or 2 or more.</span>');
        valid = false;
    }

    // verify email address
    var emailPattern = /^\s*[\w\-\+_]+(\.[\w\-\+_]+)*\@[\w\-\+_]+\.[\w\-\+_]+(\.[\w\-\+_]+)*\s*$/;
    var email = jQuery('#cuslist_email').val();
    if(email != "")
    {
        if(!emailPattern.test(email))
        {
            var html = jQuery('#cuslist_email').parent().html();
            jQuery('#cuslist_email').parent().html(html+' <span class="error wpmc-error">Must be the complete subscribe email list for you autoresponder.</span>');
            valid = false;
        }
    }

    if(!valid)
    {
        alert("Please fix the errors marked below!");
    }

    return valid;
}


function showaroptions(elem, id)
{
//    alert("here");
    jQuery('.ar_list_'+id).hide();
    var list = jQuery('#'+elem).val();
//    alert('#ar_list_'+list+'_'+id);
    jQuery('#ar_list_'+list+'_'+id).show();
    if(list == 'AW')
    {
        jQuery('#AR_list_AW_1_un').show();
    }
}
