(function() {

	tinymce.create('tinymce.plugins.MemberChampPlugin', {
		init : function(ed, url) {
			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
			ed.addCommand('wpmc_protect', function() {
				if ((typeof tinyMCE != "undefined") && (edt = tinyMCE.getInstanceById('content')) && !edt.isHidden()) 
				{
					var html;
                    var sel = edt.selection.getContent();
					html = "[wpmc-protected]"+sel+"[/wpmc-protected]"
					tinyMCE.execCommand("mceInsertContent", false, html);
				}
			});
			ed.addCommand('wpmc_paypal', function() {
				if ((typeof tinyMCE != "undefined") && (edt = tinyMCE.getInstanceById('content')) && !edt.isHidden()) 
				{
					var html;
                    var sel = edt.selection.getContent();
					html = sel+"[wpmc-paypal-button]";
					tinyMCE.execCommand("mceInsertContent", false, html);
				}
			});
			ed.addCommand('wpmc_login_widget', function() {
				if ((typeof tinyMCE != "undefined") && (edt = tinyMCE.getInstanceById('content')) && !edt.isHidden()) 
				{
					var html;
                    var sel = edt.selection.getContent();
					html = sel+"[wpmc-login-widget]";
					tinyMCE.execCommand("mceInsertContent", false, html);
				}
			});
			ed.addCommand('wpmc_join', function() {
				if ((typeof tinyMCE != "undefined") && (edt = tinyMCE.getInstanceById('content')) && !edt.isHidden())
				{
					var html;
                    var sel = edt.selection.getContent();
					html = sel+"[wpmc-join-button]";
					tinyMCE.execCommand("mceInsertContent", false, html);
				}
			});

            ed.addCommand('wpmc_dl_popup', function(){
                ed.windowManager.open
                ({
                    file: url+'/dl-popup.php',
                    width: 650,
                    height: 520,
                    inline: 1
                },
                {
                    plugin_url : url
                });
            });
			
			ed.addButton('wpmc_protect', {
				title : 'WP Member Champ Protection',
				cmd : 'wpmc_protect',
				image : url + '/images/lock.png'
			});

			ed.addButton('wpmc_paypal', {
				title : 'WP Member Champ PayPal Button',
				cmd : 'wpmc_paypal',
				image : url + '/images/paypal.png'
			});

			ed.addButton('wpmc_login_widget', {
				title : 'WP Member Champ Login Form',
				cmd : 'wpmc_login_widget',
				image : url + '/images/login.png'
			});

			ed.addButton('wpmc_join', {
				title : 'WP Member Champ Join Button',
				cmd : 'wpmc_join',
				image : url + '/images/signup.png'
			});
            ed.addButton('wpmc_dl_popup',{
                title: 'WP Member Champ File Protection',
                cmd: 'wpmc_dl_popup',
                image: url + '/images/download.gif'
            });

		},

		createControl : function(n, cm) {
			return null;
		}

	});

	// Register plugin
	tinymce.PluginManager.add('wpmc', tinymce.plugins.MemberChampPlugin);
})();
